mkdocstrings (1.0.4-1) unstable; urgency=medium

  * [5ef1b6d] New upstream version 1.0.4
  * [0d256ee] Rebuild patch queue from patch-queue branch
    Dropped patch (not needed anymore):
    docs-Disable-mkdocs-coverage-plugin-in-config.patch
    Upstream did moved over to Zensical to build the documentation.
  * [74dd662] d/rules: Don't try to copy mkdocs.yml while build
  * [356f5ff] autopkgtest: Also here drop copy of mkdocs.yml
  * [db44b6c] d/control: Bump Standards-Version to 4.7.4
    No further changes needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 18 Apr 2026 15:36:31 +0200

mkdocstrings (1.0.1-1) unstable; urgency=medium

  * [7b14e96] New upstream version 1.0.1
  * [2dc00bb] d/control: Bump Standards-Version to 4.7.3
    No further changes needed.
  * [dc45e20] d/control: Increase B-D version on mkdocstrings-python-handlers
  * [443a50b] d/copyright: Update year data
  * [2055e24] d/control: Drop field Priority: optional

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 22 Jan 2026 18:17:26 +0200

mkdocstrings (1.0.0-1) unstable; urgency=medium

  * [9cbb6af] New upstream version 1.0.0
  * [4b7c04d] d/salsa-ci.yml: Adding Salsa-CI config file

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 08 Dec 2025 17:36:12 +0200

mkdocstrings (0.30.1-1) unstable; urgency=medium

  * [f82fb4d] d/watch: Convert to version 5
  * [5b3c399] New upstream version 0.30.1
  * [240b2d8] d/control: Remove Rules-Requires-Root
    The setting of Rules-Requires-Root: no is now default.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 20 Sep 2025 17:07:49 +0200

mkdocstrings (0.29.1-1) unstable; urgency=medium

  [ Carsten Schoenert ]
  * [a579eda] d/rules: Drop variable PYBUILD_SYSTEM

  [ Kathara Sasikumar ]
  * [8c6b956] New upstream version 0.29.1

 -- Kathara Sasikumar <katharasasikumar007@gmail.com>  Thu, 10 Apr 2025 22:23:23 +0530

mkdocstrings (0.29.0-3) unstable; urgency=medium

  * Team upload.
  * [1c663da] d/tests/control: Sync versioned test dependencies with
    Build-Depends

 -- Colin Watson <cjwatson@debian.org>  Tue, 18 Mar 2025 10:55:52 +0000

mkdocstrings (0.29.0-2) unstable; urgency=medium

  * [ecd604a] d/control: Set a versioned dep on mkdocs

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 17 Mar 2025 21:49:37 +0200

mkdocstrings (0.29.0-1) unstable; urgency=medium

  * [fbf8c46] New upstream version 0.29.0
  * [9ba8a23] Rebuild patch queue from patch-queue branch
    Refresh existing patches.
  * [f52f528] d/control: Set some more versions requierements on B-D
  * [f9f0abf] d/control: Add new needed test build dependency
  * [8733042] d/rules: Re-enable mostly all tests
  * [ce63fe6] d/README.source: Add hint about missing package
  * [2c44cb6] autopkgtest: Update package list and test config
  * [d0afc74] d/copyright: Update year data
  * [9abcb1a] d/control: Bump Standards-Version to 4.7.2
    No further changes needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 16 Mar 2025 14:25:45 +0200

mkdocstrings (0.28.2-1) unstable; urgency=medium

  * [67cfdd2] New upstream version 0.28.2
  * [d53f125] Rebuild patch queue from patch-queue branch
    Removed patch:
    tests-Fix-test-call-due-changed-functions.patch
  * [c007ea0] d/control: Requiring mkdocs-autorefs (>= 1.4.0)
  * [47f8980] d/rules: Ignore tests depending mkdocs-get-deps
  * [2fcf573] autopkgtest: Adjust the test call

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 01 Mar 2025 16:12:25 +0200

mkdocstrings (0.27.0-3) unstable; urgency=medium

  * [3bec88c] d/control: Require mkdocs-autorefs >= 1.3.0 while build
  * [ef78c08] autopktests: Require mkdocs-autorefs >= 1.3.0

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 19 Jan 2025 06:47:44 +0200

mkdocstrings (0.27.0-2) unstable; urgency=medium

  * [4ed40fc] d/gbp.conf: Remove unneeded entry
  * [82631f1] Rebuild patch queue from patch-queue branch
    Added patch:
    tests-Fix-test-call-due-changed-functions.patch
    Reworked/reamed patch:
    docs-Disable-some-plugins-in-config.patch
    -> docs-Disable-mkdocs-coverage-plugin-in-config.patch

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 18 Jan 2025 10:02:21 +0200

mkdocstrings (0.27.0-1) unstable; urgency=medium

  * [2ebdbdd] New upstream version 0.27.0
  * [8b2b935] d/rules: Ignore test_load_inventory in dh_auto_test

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 12 Nov 2024 08:42:07 +0100

mkdocstrings (0.26.1-2) unstable; urgency=medium

  * [490c173] d/control: Set a dependency on mkdocs-autorefs >= 1.2.0

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 16 Sep 2024 21:45:42 +0200

mkdocstrings (0.26.1-1) unstable; urgency=medium

  * [3970e1c] New upstream version 0.26.1

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 13 Sep 2024 17:33:47 +0200

mkdocstrings (0.25.2-1) unstable; urgency=medium

  * [3b53d49] New upstream version 0.25.2

 -- Kathara Sasikumar <katharasasikumar007@gmail.com>  Wed, 28 Aug 2024 05:32:39 +0530

mkdocstrings (0.25.1-1) unstable; urgency=medium

  * [4a4687f] New upstream version 0.25.1
  * [c927cea] d/control: Add myself to Uploaders

 -- Kathara Sasikumar <katharasasikumar007@gmail.com>  Tue, 28 May 2024 22:43:42 +0530

mkdocstrings (0.24.3-1) unstable; urgency=medium

  * [1dcda3b] New upstream version 0.24.3
  * [64982c8] d/control: Bump Standards-Version to 4.7.0
    No further changes needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 21 Apr 2024 09:41:49 +0200

mkdocstrings (0.24.2-2) unstable; urgency=medium

  * [abb6da2] Rebuild patch queue from patch-queue branch
    Added patch:
    tests-Mark-test_no_double_toc-expected-to-fail.patch
  * [261957d] d/rules: Remove .my_cache folder on dh_clean

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 06 Apr 2024 19:24:02 +0200

mkdocstrings (0.24.2-1) unstable; urgency=medium

  * [58b2923] New upstream version 0.24.2
    (Closes: #1067326)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 03 Apr 2024 18:28:56 +0200

mkdocstrings (0.24.1-1) unstable; urgency=medium

  * [81bac6a] New upstream version 0.24.1
  * [1b1eb37] d/copyright: Update year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 09 Mar 2024 20:46:07 +0100

mkdocstrings (0.24.0-1) unstable; urgency=medium

  * [2f6687f] d/watch: Add compression type gz
  * [7b1c57b] New upstream version 0.24.0
  * [8a5d919] Rebuild patch queue from patch-queue branch
    Just refreshing the one existing patch.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 23 Nov 2023 12:28:18 +0000

mkdocstrings (0.23.0-1) unstable; urgency=medium

  * [4dfff0a] New upstream version 0.23.0
  * [e09943a] d/rules: Add target override_dh_clean
    (Closes: #1048151)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 04 Sep 2023 15:45:46 +0530

mkdocstrings (0.22.0-3) unstable; urgency=medium

  * [0ffdd3c] autopkgtest: Disable one more upstream test

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 22 Jun 2023 21:38:22 +0200

mkdocstrings (0.22.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 14 Jun 2023 20:28:05 +0200

mkdocstrings (0.22.0-1) experimental; urgency=medium

  * [12a423d] New upstream version 0.22.0
  * [31c1621] Rebuild patch queue from patch-queue branch
  * [9fb8156] d/control: Adjust build depending packages
  * [71062cc] d/rules: Use PDM_BUILD_SCM_VERSION for version inflating
  * [c0bb0d6] d/rules: Ignore some more upstream tests
  * [acc818d] autopkgtest: Adjust list of packages for testing

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 02 Jun 2023 10:05:41 +0200

mkdocstrings (0.21.2-1) experimental; urgency=medium

  * [1097ec2] New upstream version 0.21.2
  * [3eeda0a] Rebuild patch queue from patch-queue branch

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 26 Apr 2023 20:41:46 +0200

mkdocstrings (0.20.0-1) unstable; urgency=medium

  * [8aef6bd] New upstream version 0.20.0
  * [42e6fa7] Add patch queue from patch-queue branch
    Added patch:
    docs-Disable-some-plugins-in-config.patch
  * [328b2dd] d/control: Add new B-D which are needed for the added tests
  * [2264334] d/rules: Copy/remove files into place for the added tests
  * [cdc2130] autopkgtest: Adjusting the test setup
  * [90a280d] d/control: Bump Standards-Version to 4.6.2
    No further changes needed.
  * [59b1fd1] d/copyright: Update year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 26 Feb 2023 20:32:37 +0100

mkdocstrings (0.19.1-1) unstable; urgency=medium

  * [6445a2b] New upstream version 0.19.1
    (Closes: #1027511)
  * [c7b31f8] d/control: Move to dh-seuencer-*, add BuildProfleSpecs
  * [dda5993] d/rules: Drop --with option from default target

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 05 Jan 2023 19:56:33 +0100

mkdocstrings (0.19.0-4) unstable; urgency=medium

  * Team upload.
  * [a019397] Switch from poetry back to pdm-pep517 backend.

 -- Boyuan Yang <byang@debian.org>  Sat, 20 Aug 2022 10:54:05 -0400

mkdocstrings (0.19.0-3) unstable; urgency=medium

  * [c636851] d/{t,}/control: Add versioned dep on pygments

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 02 Jul 2022 12:33:27 +0200

mkdocstrings (0.19.0-2) unstable; urgency=medium

  * [adfd0b9] Rebuild patch queue from patch-queue branch
    Modified patch:
    Switch-to-poetry-as-build-system.patch
    Removing mkdocstrings-python-legacy as dependency.
  * [fe3ae6a] d/control: Suggest potential python handlers
  * [ce89c71] d/control: Add more B-D packages
  * [3127e64] d/rules: Turn on the internal testing
  * [18f0a49] d/rules: Remove PYBUILD_AFTER_INSTALL variable
  * [ad447dc] autopkgtest: Adding first working setup

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 01 Jun 2022 19:13:08 +0200

mkdocstrings (0.19.0-1) unstable; urgency=medium

  * [f04ca3c] New upstream version 0.19.0
  * [c7d7449] Rebuild patch queue from patch-queue branch
    Modified patch:
    Switch-to-poetry-as-build-system.patch
    Adopted upstream changes to pyproject.toml.
  * [2365dbc] d/README.source: Remove extra note for packaged version
  * [7131c2d] Remove pytkdocs from the dependencies
    This package isn't needed anymore as upstream has removed this package
    from the list of required installed packages.
  * [ccefaa0] d/control: Bump Standards-Version to 4.6.1
    No further changes needed.
  * [c8da4bf] d/py3dist-overrides: Add mkdocstrings_python_legacy
    We use mkdocstrings-python-legacy as packaged Debian package, so some
    needed package translation help.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 30 May 2022 17:48:30 +0200

mkdocstrings (0.17.0-1) unstable; urgency=medium

  * [0e9d040] New upstream version 0.17.0
  * [f559d67] First and basic Debianization
    (Closes: #1009892)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 20 Apr 2022 19:56:07 +0200
